--DATA FROM 1.12 SERVERS, NOT TESTED IN 1.13 OR NEWER
rCCPortraits_DRCategoryCount = 9;
rCCPortraits_DRCategories = {
  --STUN
	["Hammer of Justice"] = 1,
	["Bash"] = 1,
	["Kidney Shot"] = 1,
	["Intimidation"] = 1,
	["Charge Stun"] = 1,
	["Intercept Stun"] = 1,
	["Concussion Blow"] = 1,

  --FEAR
	["Fear"] = 2,
	["Psychic Scream"] = 2,
	["Mind Control"] = 2,
	["Howl of Terror"] = 2,
	["Intimidating Shout"] = 2,
	["Seduction"] = 2,

  -- INCAP
	["Polymorph"] = 3,
	["Polymorph: Turtle"] = 3,
	["Polymorph: Pig"] = 3,
	["Sap"] = 3,
	["Gouge"] = 3,
	["Repentance"] = 3,
	["Iron Grenade"] = 3,
	["Thorium Grenade"] = 3,

  --HUNTER
	["Freezing Trap Effect"] = 4,
	["Wyvern String"] = 4,
	["Scatter Shot"] = 4,

  -- ROOTS
	["Entangling Roots"] = 5,
	["Frost Nova"] = 5,
	["Frost Shock"] = 5,

  --RANDOM STUN
	["Stun"] = 6,
	["Mace Stun Effect"] = 6,
	["Starfire Stun"] = 6,
	["Impact"] = 6,
	["Revenge Stun"] = 6,
	["Blackout"] = 6,
	["Pyroclasm"] = 6,
	["Improved Concussive Shot"] = 6,

  --NON SHARED / UNKNOWN
	["Cheap Shot"] = 7,
	["Death Coil"] = 8,
	["Hibernate"] = 9,
}
rCCPortraits_SpellDurations = {
	["Hammer of Justice"] = 6,
	["Bash"] = 4,
	["Kidney Shot"] = 6,
	["Intimidation"] = 3,
	["Charge Stun"] = 1,
	["Intercept Stun"] = 3,
	["Concussion Blow"] = 5,
	["Fear"] = 20,
	["Psychic Scream"] = 8,
	["Mind Control"] = 60,
	["Howl of Terror"] = 15,
	["Intimidating Shout"] = 8,
	["Seduction"] = 15,
	["Polymorph"] = 50,
	["Sap"] = 45,
	["Gouge"] = 5.5,
	["Repentance"] = 6,
	["Iron Grenade"] = 3,
	["Thorium Grenade"] = 3,
	["Freezing Trap Effect"] = 26,
	["Wyvern String"] = 12,
	["Scatter Shot"] = 4,
	["Entangling Roots"] = 27,
	["Frost Nova"] = 8,
	["Frost Shock"] = 8,
	["Stun"] = 2,
	["Mace Stun Effect"] = 3,
	["Starfire Stun"] = 3,
	["Impact"] = 2,
	["Revenge Stun"] = 3,
	["Blackout"] = 3,
	["Pyroclasm"] = 3,
	["Improved Concussive Shot"] = 3,
	["Cheap Shot"] = 4,
	["Death Coil"] = 3,
	["Hibernate"] = 40,
}
rCCPortraits_SpellTextures = {
	["Hammer of Justice"] = "spell_holy_sealofmight",
	["Bash"] = "ability_druid_bash",
	["Kidney Shot"] = "ability_rogue_kidneyshot",
	["Intimidation"] = "ability_devour",
	["Charge Stun"] = "spell_frost_stun",
	["Intercept Stun"] = "spell_frost_stun",
	["Concussion Blow"] = "ability_thunderbolt",
	["Fear"] = "spell_shadow_possession",
	["Psychic Scream"] = "spell_shadow_psychicscream",
	["Mind Control"] = "spell_shadow_shadowworddominate",
	["Howl of Terror"] = "spell_shadow_deathscream",
	["Intimidating Shout"] = "ability_golemthunderclap",
	["Seduction"] = "spell_shadow_summonsuccubus",
	["Polymorph"] = "spell_nature_polymorph",
	["Polymorph: Turtle"] = "spell_nature_polymorph",
	["Polymorph: Pig"] = "spell_nature_polymorph",
	["Sap"] = "ability_sap",
	["Gouge"] = "ability_gouge",
	["Repentance"] = "spell_holy_prayerofhealing",
	["Iron Grenade"] = "inv_misc_bomb_08",
	["Thorium Grenade"] = "inv_misc_bomb_08",
	["Freezing Trap Effect"] = "spell_frost_chainsofice",
	["Wyvern String"] = "inv_spear_02",
	["Scatter Shot"] = "ability_golemstormbolt",
	["Entangling Roots"] = "spell_nature_stranglevines",
	["Frost Nova"] = "spell_frost_frostnova",
	["Frost Shock"] = "spell_frost_frostshock",
	["Stun"] = "spell_frost_stun",
	["Mace Stun Effect"] = "spell_frost_stun",
	["Starfire Stun"] = "spell_arcane_starfire",
	["Impact"] = "spell_fire_meteorstorm",
	["Revenge Stun"] = "ability_warrior_revenge",
	["Blackout"] = "spell_shadow_gathershadows",
	["Pyroclasm"] = "spell_fire_volcano",
	["Improved Concussive Shot"] = "spell_frost_stun",
	["Cheap Shot"] = "ability_cheapshot",
	["Death Coil"] = "spell_shadow_deathcoil",
	["Hibernate"] = "spell_nature_sleep",
}
rCCPortraits_SpellIDDurations = {
	--Hammer of Justice
	[853] = 3,
	[5588] = 4,
	[5589] = 5,
	[10308] = 6,
	--Bash
	[5211] = 2,
	[6798] = 3,
	[8983] = 4,
	--Kidney Shot TODO: Need solution for combo points. (Addon msg?)
	[408] = 5,
	[8643] = 6,
	--Intimidation
	[24394] = 3,
	--Charge
	[7922] = 1,
	--Intercept
	[20253] = 3,
	[20614] = 3,
	[20615] = 3,
	--Concussion Blow
	[12809] = 5,
	--Fear
	[5782] = 10,
	[6213] = 15,
	[6215] = 20,
	--Psychic Scream
	[8122] = 8,
	[8124] = 8,
	[10888] = 8,
	[10890] = 8,
	--Mind Control
	[605] = 60,
	[10911] = 60,
	[10912] = 60,
	--Howl of Terror
	[5484] = 10,
	[17928] = 15,
	--Intimidating Shout
	[5246] = 8,
	[20511] = 8,
	--Seduction
	[6358] = 15,
	--Polymorph
	[118] = 20,
	[12824] = 30,
	[12825] = 40,
	[12826] = 50,
	[28271] = 50,
	[28272] = 50,
	--Sap
	[6770] = 25,
	[2070] = 35,
	[11297] = 45,
	--Gouge
	[1776] = 4,
	[1777] = 4,
	[8629] = 4,
	[11285] = 4,
	--Repentance
	[20066] = 6,
	--Iron Grenade
	[4068] = 3,
	--Thorium Grenade
	[19769] = 3,
	--Freezing Trap
	[3355] = 10,
	[14308] = 15,
	[14309] = 20,
	--Wyvern Sting
	[19386] = 12,
	[24132] = 12,
	[24133] = 12,
	--Scatter Shot
	[19503] = 4,
	--Entangling Roots
	[339] = 12,
	[1062] = 15,
	[5195] = 18,
	[5196] = 21,
	[9852] = 24,
	[9853] = 27,
	--Frost Nova
	[122] = 8,
	[865] = 8,
	[6131] = 8,
	[10230] = 8,
	--Frost Shock
	[8056] = 8,
	[8058] = 8,
	[10472] = 8,
	[10473] = 8,
	--Random "Stun" stuns
	[56] = 3,
	[17308] = 2,
	[23454] = 1,
	--Mace Stun
	[5530] = 3,
	--Starfire Stun
	[16922] = 3,
	--Impact
	[12355] = 2,
	--Revenge Stun
	[12798] = 3,
	--Blackout
	[15269] = 3,
	--Pyroclasm
	[18093] = 3,
	--Improved Concussive Shot
	[19410] = 3,
	--Cheap Shot
	[1833] = 4,
	--Death Coil
	[6789] = 3,
	[17925] = 3,
	[17926] = 3,
	--Hibernate
	[2637] = 20,
	[18657] = 30,
	[18658] = 40,
}
